Subject: bug#53382: 29.0.50; "Enable Undeleting Frames" menu item should have a checkbox

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Jan 2022 10:07:55 +0200

> Date: Thu, 20 Jan 2022 14:35:24 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Every other menu item that enables a minor mode has a checkbox (and
> certainly doesn't disappear after it is clicked), so I see no reason the
> menu item that enables `undelete-frame-mode' should not behave like that
> as well.

I don't see that as a problem, but I won't object to making that menu
item a toggle.

> The current behaviour also certainly doesn't help someone figure out
> how to turn off undeleting frames.

I've now added a menu item for disabling the mode.